/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.core.swing;

import net.wordrider.utilities.BrowserControl;

import java.awt.*;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

/**
 * @author Vity
 */
public final class URLMouseClickAdapter extends MouseAdapter {
    private String url = "";

    public URLMouseClickAdapter(final String url) {
        super();
        this.url = url;
    }

    public final void mouseClicked(final MouseEvent e) {
        BrowserControl.showURL(url);
    }

    public final void mouseExited(final MouseEvent e) {
        ((Component) e.getSource()).setCursor(Cursor.getDefaultCursor());
    }

    public final void mouseEntered(final MouseEvent e) {
        ((Component) e.getSource()).setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    }
}
